Subject: Re: bug#48153: 28.0.50; minor mode keymaps should not override keymap given to read-from-minibuffer

From: Eli Zaretskii <[email-masked]>
Date: Wed, 05 May 2021 15:15:18 +0300

> From: Jimmy Yuen Ho Wong <[email-masked]>
> Date: Wed, 5 May 2021 10:10:23 +0100
> Cc: [email-masked]
> 
> > Why would they not?  The minibuffer behaves, in that respect, like any
> > other buffer.  Note that they do so only when the minor mode is enabled in
> > the minibuffer.
> 
> Because the minibuffer does not behave like any other buffers. Setting
> `minor-mode-overriding-map-alist` has no effect, so I think either the
> minibuffer really needs to behave like any other buffer, or
> special-cased and documented the ways it differs from regular buffers.

I admit that I've lost the context in this discussion.  I'm CC'ing
Stefan in the hope he could tell whether we do or don't have a problem
here; if Stefan is unable to do that, either, we will unfortunately
have to get back to the beginning and explain what kind of problems
the current behavior causes.  Because in general what Jimmy described
in the original report sounds the expected behavior to me.